aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortcely <tcely@users.noreply.github.com>2019-05-31 20:25:40 -0400
committerNatanael Copa <ncopa@alpinelinux.org>2019-06-03 09:57:03 +0000
commit7acad73d439f9ef183ee84326a3cf422c42ec7eb (patch)
tree5171284e10a8a09e8742d15b1e30e348475dd1a4
parent76420ca7b8c144ca86e110fa3d31bd71405755ad (diff)
downloadaports-7acad73d439f9ef183ee84326a3cf422c42ec7eb.tar.gz
aports-7acad73d439f9ef183ee84326a3cf422c42ec7eb.tar.bz2
aports-7acad73d439f9ef183ee84326a3cf422c42ec7eb.tar.xz
main/dhcp: fix circular dependencies
-rw-r--r--main/dhcp/APKBUILD19
1 files changed, 5 insertions, 14 deletions
diff --git a/main/dhcp/APKBUILD b/main/dhcp/APKBUILD
index b3d905f78e..d83b670fe4 100644
--- a/main/dhcp/APKBUILD
+++ b/main/dhcp/APKBUILD
@@ -2,13 +2,12 @@
pkgname=dhcp
pkgver=4.4.1
_realver=${pkgver/_p/-P}
-pkgrel=3
+pkgrel=4
pkgdesc="ISC Dynamic Host Configuration Protocol (DHCP)"
url="https://www.isc.org/"
arch="all"
license="MPL-2.0"
-depends="$pkgname-server"
-depends_server_empty="$pkgname-server-vanilla"
+depends=""
depends_server_ldap="!$pkgname-server-vanilla $pkgname"
depends_server_vanilla="!$pkgname-server-ldap $pkgname"
#
@@ -28,8 +27,7 @@ install="$pkgname.pre-install $pkgname.pre-upgrade $pkgname.post-upgrade"
subpackages="$pkgname-doc $pkgname-dev $pkgname-dbg $pkgname-openrc
dhclient dhcrelay dhcrelay-openrc
$pkgname-server-vanilla:server_vanilla
- $pkgname-server-ldap:server_ldap
- $pkgname-server:server_empty:noarch"
+ $pkgname-server-ldap:server_ldap"
source="http://ftp.isc.org/isc/$pkgname/${_realver}/$pkgname-$_realver.tar.gz
01-dhclient-script-fix-bare-ip.patch
02-dhclient-script-remove-bashisms.patch
@@ -142,15 +140,6 @@ openrc() {
install_if="openrc ${_name}=$pkgver-r$pkgrel"
}
-server_empty() {
- pkgdesc="ISC dhcpd server (virtual)"
- depends="$depends_server_empty"
- provider_priority=0
-
- install -d "$subpkgdir"
- rmdir "$pkgdir/usr/sbin" || :
-}
-
server_ldap() {
pkgdesc="ISC dhcpd server with LDAP support"
depends="$depends_server_ldap"
@@ -166,11 +155,13 @@ server_ldap() {
server_vanilla() {
pkgdesc="ISC dhcpd server"
depends="$depends_server_vanilla"
+ install_if="$pkgname=$pkgver-r$pkgrel"
provides="dhcp-server"
provider_priority=200
install -d "$subpkgdir"/usr/sbin
mv "$pkgdir/usr/sbin/dhcpd" "$subpkgdir/usr/sbin/"
+ rmdir "$pkgdir/usr/sbin" || :
}
dhclient() {